#include <Arduino.h>
#include <protothreads.h>

#include <bt.h>
#include <mpu.h>
#include <ping.h>
#include <servo.h>
#include <temp.h>
#include <web.h>

void setup() {
  Serial.begin(115200);
  servo_init();
  bt_init();
  web_init();
  ping_init();
  mpu_init();
  temp_init();
}

void loop() {
  servo_loop();
  bt_loop();
  web_loop();
  ping_loop();
  mpu_loop();
  temp_loop();
  delay(100);
}